1. Claimants
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Claimants

Update an Existing Claimant

PUT
/claimants/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://portal.litpro.com/api/v1/claimants/120850?first_name=Testing!' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{   
    "first_name": "Jane",
        "last_name": "Doe",
        "gender": "female",
        "ssn": "123-45-1277",
        "date_of_birth": "2020-12-30",
        "date_of_death": null,
        "address": "123 Fake Street",
        "address2": null,
        "city": "Sometown",
        "state": "CA",
        "zip": "90210",
        "client_file_num": "123403-3434",
        "state_date_of_injury": "NY",
        "case_type": null,
        "case_type_description": null,
        "project": "Camp LeJeune EO",
        "injured_on": null,
        "injury": "Broken Leg",
        "diagnose_date": "2022-10-18",
        "project_uuid": "b07b61b8-d214-4c72-a639-30baa641736a"
        }'
Response Response Example
200 - Example 1
{
    "data": {
        "id": 0,
        "client": "string",
        "first_name": "string",
        "last_name": "string",
        "gender": "string",
        "ssn": "string",
        "date_of_birth": "string",
        "date_of_death": "string",
        "address": "string",
        "address2": null,
        "city": "string",
        "state": "string",
        "zip": "string",
        "client_file_num": "string",
        "state_date_of_injury": "string",
        "case_type": null,
        "case_type_description": null,
        "project": "string",
        "injured_on": null,
        "injury": "string",
        "diagnose_date": "string",
        "wrongful_death": true,
        "created_at": "string"
    }
}
Modified at 2025-10-09 13:36:39
Previous
Add Claimant Document
Next
Get Settlements